local mod = RW:Boss("Eadric the Pure", "Party - WOTLK", "Trial of the Champion")
local L

mod.type = "party"

mod.BossIcon = [[Interface\Icons\Ability_Thunderclap]]


local tRadianceCast = nil 
local mHammerTarget = nil

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.win = "I yield! I submit. Excellent work. May I run away now?"
	end
	L = mod:GetLocale()
	self.L = L	
	self:SetWin(L.win)
	self:SetTrigger(35119)
	tRadianceCast	= self:CastTimer(66935, 66862, 67681)
	mHammerTarget = self:TargetMessage(67680)
end

function mod:OnEngage(trigger)
	self:TrackCastStart("Radiance",66935, 66862, 67681)
	self:TrackCastComplete("Hammer",66867,67680,66904,66903)
end

function mod:Radiance(args)
	tRadianceCast:Start()
end

function mod:Hammer(args)
	mHammerTarget:Show(args.dName)
end
