local mod = RW:Boss("Archavon the Stone Watcher", "Vault of Archavon")
local L

mod:SetPackIcon([[Interface\ICONS\spell_nature_elementalprecision_2]])
mod.BossIcon = [[Interface\Icons\inv_misc_statue_07]]

---------------------------
-- Variables
local tStompCD
local tBerserk

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(31125)
	self:SetWin()
	
	tStompCD = self:CDTimer(47, 58663)
	tBerserk = self:BerserkTimer(300)
end

---------------------------
-- Locals

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("Stomp", 58663, 60880)

	tStompCD:Start()
	tBerserk:Start()
end

function mod:Stomp(event, args)
	if event == "SPELL_CAST_START" then
		tStompCD:Start()
	end
end
